Bug 243041 - Copy&Paste blocks plasma-desktop for about 10-15s [4.4.90]
Summary: Copy&Paste blocks plasma-desktop for about 10-15s [4.4.90]
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-28 16:10 UTC by Clemens Eisserer
Modified: 2011-11-20 17:01 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clemens Eisserer 2010-06-28 16:10:29 UTC
Version:           unspecified (using Devel) 
OS:                Linux

When I copy some files in Dolphin (Ctrl+C), plasma-desktop is blocked for about 10-15s. During this time the desktop does not repaint when I move the dolphin window arround, and I can't use the task-bar or k-menu, however Dolphin stays functional.

I was able to get a stacktrace while plasma was blocked:

Thread 1 (Thread 0xb76e9780 (LWP 14377)):
#0  0x00b2b832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00c231d1 in select () from /lib/libc.so.6
#2  0x03263193 in QX11Data::clipboardWaitForEvent(unsigned long, int, _XEvent*, int) () from /usr/lib/libQtGui.so.4
#3  0x032643c2 in QClipboardWatcher::getDataInFormat(unsigned long) const () from /usr/lib/libQtGui.so.4
#4  0x03264701 in QClipboardWatcher::retrieveData_sys(QString const&, QVariant::Type) const () from /usr/lib/libQtGui.so.4
#5  0x031ee258 in QInternalMimeData::retrieveData(QString const&, QVariant::Type) const () from /usr/lib/libQtGui.so.4
#6  0x02456cfb in QMimeDataPrivate::retrieveTypedData(QString const&, QVariant::Type) const () from /usr/lib/libQtCore.so.4
#7  0x02457602 in QMimeData::data(QString const&) const () from /usr/lib/libQtCore.so.4
#8  0x02681194 in KUrl::List::fromMimeData(QMimeData const*, KUrl::List::DecodeOptions, QMap<QString, QString>*) () from /usr/lib/libkdecore.so.5
#9  0x02681659 in KUrl::List::fromMimeData(QMimeData const*, QMap<QString, QString>*) () from /usr/lib/libkdecore.so.5
#10 0x03c672c7 in KIO::pasteActionText() () from /usr/lib/libkio.so.5
#11 0x0108e117 in FolderView::clipboardDataChanged() () from /usr/lib/kde4/plasma_applet_folderview.so
#12 0x010977be in FolderView::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/kde4/plasma_applet_folderview.so
#13 0x0244e06b in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#14 0x0245d085 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#15 0x038c5428 in QClipboard::dataChanged() () from /usr/lib/libQtGui.so.4
#16 0x0325c754 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#17 0x03288252 in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib/libQtGui.so.4
#18 0x04380525 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#19 0x04384268 in g_main_context_iterate () from /lib/libglib-2.0.so.0
#20 0x04384449 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#21 0x02472fd6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#22 0x03287cc6 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtGui.so.4
#23 0x0244760a in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0x0244794a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#25 0x0244bf77 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#26 0x031d6838 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#27 0x044785d0 in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
#28 0x080487ac in main ()



Reproducible: Always

Steps to Reproduce:
1. Open Dolphin
2. Select a File
3. Press Ctrl + C

Actual Results:  
Plama is blocked for 10-15s

Expected Results:  
no blocking
Comment 1 Clemens Eisserer 2010-07-06 12:20:55 UTC
hello?!
Comment 2 Clemens Eisserer 2010-12-11 18:42:52 UTC
I still experience this with 4.5.4 and dbus updated to 1.4

Its quite annoying, every now and then plasma is unresponsive for 20-30 seconds after copying content into the clipboard.
Comment 3 Aaron J. Seigo 2011-11-20 17:01:04 UTC
Git commit 55c9e2774a01f0e60768b3e7884b81fc951eb0c9 by Aaron Seigo.
Committed on 20/11/2011 at 18:00.
Pushed by aseigo into branch 'master'.

update the past action only when showing it

BUG:243041

M  +31   -19   plasma/applets/folderview/folderview.cpp
M  +2    -1    plasma/applets/folderview/folderview.h

http://commits.kde.org/kde-baseapps/55c9e2774a01f0e60768b3e7884b81fc951eb0c9